{% extends "base.html.twig" %}

{% block title %}  <title>Liste des nouvelles voitures </title>{% endblock %}
{% block prixneufactive %} class="active" {% endblock %}
{% block stylesheets %}
    {#<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css">#}{##}
    <link href="https://fonts.googleapis.com/css?family=Droid+Sans:400,700" rel="stylesheet">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/baguettebox.js/1.8.1/baguetteBox.min.css">
    <link rel="stylesheet" href="{{ asset('frontassets/css/thumbnail-gallery.css') }}">
    <style>
        .pagination>.active>span{
            background-color: #323c53;
            border-color: #323c53;
        }
        .same .item{
            margin-top: 40px;
        }
        .version{
            margin-left: 20px;
            font-size: 20px;
            font-family:'Helvetica Neue', sans-serif;
            color: #0B0B0B;
        }
        .version:hover{
            color: #0f6a58;
        }
        h2 { color: #111; font-family: 'Open Sans', sans-serif; font-size: 30px; font-weight:lighter; line-height: 1px; margin: 0 0 72px; text-align: center; }

        h1 { color: #111; font-family: 'Helvetica Neue', sans-serif;font-weight: 300; letter-spacing: -1px;  text-align: left; }
    </style>
    <style>
        .photo {
            width: 350px;
            height: 150px;
            background-repeat:no-repeat;
            background-position: center center;
            background-size: 100%;
            min-height:100%;

        }
    </style>
{% endblock %}
{% block body %}
    {% include "_header.html.twig" %}
    <div class="main-container">
        <div class="container">
            <ol class="breadcrumb pull-left">
                <li><a href="/"><i class="icon-home fa"></i></a></li>
                <li><a href="{{ path('new_car_page_index') }}">Prix de neuf</a></li>
                <li>{{  marque.libelle | title }}</li>
            </ol>
            <div class="pull-right backtolist"><a href="#">
                    <i class="fa fa-angle-double-left"></i> Retour </a></div>
        </div>
        <div class="container">

            <div class="tz-gallery same">

                <div class="row">
                    <div class="col-lg-12 col-md-12 col-xs-12 p0">
                        <h1> Prix de neufs - {{ marque.libelle }}</h1>
                            {% set count = 0 %}
                            {% for car in cars %}
                                {% set count = count + 1 %}
                                <div class="item col-md-4">
                                    <div class="thumbnail">
                                        <a href="{{ path('new_car_show', {'id': car.id , marque_slug : marque.libelle|slugify,voiture_slug : car.modele.libelle|slugify}) }}">
                                            <div class="item-featureousel-thumb">
                                                {% if car.modele is not null %}
                                                    {% if car.modele.photo is null %}
                                                        <img class="thumbnail  img-responsive" src="{{ asset('backassets/images/avatars/no-image.jpg') }}" alt="img">
                                                    {% else %}
                                                        <div class="img-responsive  photo" style="background-image: url({{ asset('uploads/photos/'~car.modele.photo.path)  | imagine_filter('my_thumb') }})">

                                                        </div>
                                                    {% endif %}
                                                {% endif %}
                                            </div>
                                            <div class="caption">
                                                {{ car.marque.libelle | title }} - {{ car.modele.libelle | title }}
                                            </div>
                                            <div class="item-desc  ">
                                                <div class="col-md-5 col-xs-12 p0">
                                                    {#<i class="fa fa-clock-o"></i>#}
                                                </div>
                                                <div class="col-md-3 col-xs-12 p0 align__center">
                                                    {#<i class="fa fa-map-marker" aria-hidden="true"></i>#}
                                                </div>
                                                <div class="col-md-4 col-xs-12 p0 align__center btn-success">
                                                    {{ car.price }} DT
                                                </div>
                                            </div>
                                        </a>
                                    </div>
                                </div>
                            {% endfor %}

                        {% if count == 0 %}
                            <div class="alert alert-info">La catégorie est vide pour l'instant. <a href="{{ path('new_car_page_index') }}" >  Retour</a></div>

                        {% endif %}

                    </div>
                </div>

            </div>
            <div class="pagination-bar text-center">
                {{ knp_pagination_render(cars) }}
            </div>





        </div>

    </div>
    {% include "_footer.html.twig" %}
{% endblock %}
{% block javascript %}
    <script src="{{ asset('frontassets/assets/js/jssor.slider-27.0.3.min.js') }}" type="text/javascript"></script>
    <script src="{{ asset('frontassets/js/sliderNewCar.js') }}" type="text/javascript"></script>
    <script type="text/javascript"></script>

{% endblock %}